| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Private Attributes | List of all members
ConversionSvc::WorkerEntry Class Referencefinal
Collaboration diagram for ConversionSvc::WorkerEntry:
[legend]

## Public Member Functions
| WorkerEntry (const CLID &cl, IConverter *cnv)
| ~WorkerEntry ()
| WorkerEntry (WorkerEntry &&orig) noexcept
WorkerEntry & | operator= (WorkerEntry &&orig) noexcept
| WorkerEntry (const WorkerEntry &copy)=delete
WorkerEntry & | operator= (const WorkerEntry &copy)=delete
IConverter * | converter ()
const CLID & | clID () const

## Private Attributes
CLID | m_class
IConverter * | m_converter

## Detailed Description

Definition at line 46 of file ConversionSvc.h.

## Constructor & Destructor Documentation

## ◆ WorkerEntry() [1/3]

ConversionSvc::WorkerEntry::WorkerEntry | ( | const CLID & | cl,
|  | IConverter * | cnv
| ) |  |
| inline

Definition at line 51 of file ConversionSvc.h.

51 : m_class( cl ), m_converter( cnv ) {
52 if ( m_converter ) m_converter->addRef();
53 }
ConversionSvc::WorkerEntry::m_class
CLID m_class
Definition: ConversionSvc.h:47
IInterface::addRef
virtual unsigned long addRef()=0
Increment the reference count of Interface instance.
ConversionSvc::WorkerEntry::m_converter
IConverter * m_converter
Definition: ConversionSvc.h:48

## ◆ ~WorkerEntry()

ConversionSvc::WorkerEntry::~WorkerEntry | ( |  | ) |
| inline

Definition at line 55 of file ConversionSvc.h.

55 {
56 if ( m_converter ) m_converter->release();
57 }
IInterface::release
virtual unsigned long release()=0
Release Interface instance.
ConversionSvc::WorkerEntry::m_converter
IConverter * m_converter
Definition: ConversionSvc.h:48

## ◆ WorkerEntry() [2/3]

ConversionSvc::WorkerEntry::WorkerEntry | ( | WorkerEntry && | orig | ) |
| inline noexcept

Definition at line 59 of file ConversionSvc.h.

60 : m_class{orig.m_class}, m_converter{std::exchange( orig.m_converter, nullptr )} {}
ConversionSvc::WorkerEntry::m_class
CLID m_class
Definition: ConversionSvc.h:47
ConversionSvc::WorkerEntry::m_converter
IConverter * m_converter
Definition: ConversionSvc.h:48

## ◆ WorkerEntry() [3/3]

ConversionSvc::WorkerEntry::WorkerEntry | ( | const WorkerEntry & | copy | ) |
| delete

## Member Function Documentation

## ◆ clID()

const CLID& ConversionSvc::WorkerEntry::clID | ( |  | ) | const
| inline

Definition at line 73 of file ConversionSvc.h.

73 { return m_class; }
ConversionSvc::WorkerEntry::m_class
CLID m_class
Definition: ConversionSvc.h:47

## ◆ converter()

IConverter* ConversionSvc::WorkerEntry::converter | ( |  | ) |
| inline

Definition at line 71 of file ConversionSvc.h.

71 { return m_converter; }
ConversionSvc::WorkerEntry::m_converter
IConverter * m_converter
Definition: ConversionSvc.h:48

## ◆ operator=() [1/2]

WorkerEntry& ConversionSvc::WorkerEntry::operator= | ( | WorkerEntry && | orig | ) |
| inline noexcept

Definition at line 62 of file ConversionSvc.h.

62 {
63 m_class = orig.m_class;
64 std::swap( m_converter, orig.m_converter );
65 return *this;
66 }
std::swap
T swap(T... args)
ConversionSvc::WorkerEntry::m_class
CLID m_class
Definition: ConversionSvc.h:47
ConversionSvc::WorkerEntry::m_converter
IConverter * m_converter
Definition: ConversionSvc.h:48

## ◆ operator=() [2/2]

WorkerEntry& ConversionSvc::WorkerEntry::operator= | ( | const WorkerEntry & | copy | ) |
| delete

## Member Data Documentation

## ◆ m_class

CLID ConversionSvc::WorkerEntry::m_class
| private

Definition at line 47 of file ConversionSvc.h.

## ◆ m_converter

IConverter* ConversionSvc::WorkerEntry::m_converter
| private

Definition at line 48 of file ConversionSvc.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/ConversionSvc.h